{pkgs, ...}: {
  hardware.graphics = {
    enable = true;
    enable32Bit = true; # For 32-bit games
  };

  programs.steam = {
    enable = true;
    remotePlay.openFirewall = true;
    localNetworkGameTransfers.openFirewall = true;
    extest.enable = true;
    gamescopeSession.enable = true;
    extraCompatPackages = with pkgs; [
      proton-ge-bin
    ];
  };

  programs.gamemode.enable = true;
  # Fix slow Steam Download speeds
  services.resolved.enable = true;
}